﻿namespace ICLInterface
{
    // 2/11/2011
    /// <summary>
    /// ProgressBar Operation Completed EventArgs Interface
    /// </summary>
    public interface IOperationCompletedEventArgs
    {
        /// <summary>
        /// Was operation succesful?
        /// </summary>
        bool OperationResult { get; set; }

        /// <summary>
        /// Was operation cancelled?
        /// </summary>
        bool OperationCancelled { get; set; }

        /// <summary>
        ///  The number of files which failed the current operation.
        /// </summary>
        int FailedCount { get; set; }

        /// <summary>
        /// Total number of files processed for the current operation.
        /// </summary>
        int TotalCount { get; set; }
    }
}