﻿using System;

namespace ImageNexus.BenScharbach.ImageCloudLock.CloudCache
{
    // 3/15/2012
    /// <summary>
    /// Stores a local copy of the current cloud item's meta-data.
    /// </summary>
    [Serializable]
    public struct CloudCacheMetaData
    {
        public string FinalKeyName { get; set; }
        public string DirectoryName { get; set; }
        public string FileName { get; set; }
        public string FilePath { get; set; }
        public string FileSize { get; set; }
        public string CreationTime { get; set; }
        public string LastWriteTime { get; set; }
    }
}