﻿namespace ImageNexus.BenScharbach.ImageCloudLock.Enums
{
    // 2/10/2011
    /// <summary>
    /// Set the eventHandler which provides file progress data, and updates
    /// the current progress bars.
    /// </summary>
    public enum ProgressBarEventHandlerTypeEnum
    {
        /// <summary>
        /// Sets the Backup eventHandler.
        /// </summary>
        BackupEventHandler,
        /// <summary>
        /// Sets the Restore eventHandler.
        /// </summary>
        RestoreEventHandler,
        /// <summary>
        /// Sets the Delete eventHandler.
        /// </summary>
        DeleteEventHandler // 4/19/2011
    }
}