﻿using System;
using System.Windows.Media.Imaging;

namespace ImageNexus.BenScharbach.ICLCommon.WpfTreeViewControl.Interfaces.DriveViewInterfaces
{
    // 11/7/2010
    public interface IDriveItemViewModel
    {
        /// <summary>
        /// Gets the current drive name.
        /// </summary>
        string DriveName { get; }

        // 8/20/2011: Note: Removed, since can cause cross-thread errors if resource
        //            Note: Created on seperate thread.  Furthermore, the XAML icons
        //            Note: are now used instead of the old bitmap images. - Ben
        /// <summary>
        /// Gets the current drive image.
        /// </summary>
        [Obsolete("(8.20.2011) Removed, since can cause cross-thread errors if resource created on seperate thread.  Furthermore, the XAML icons are now used instead of the old bitmap images.", true)]
        BitmapSource DriveImage { get; }

        /// <summary>
        /// Gets/sets whether the TreeViewItem 
        /// associated with this object is selected.
        /// </summary>
        bool IsSelected { get; set; }

        /// <summary>
        /// Gets/sets whether the ListViewItem 
        /// associated with this object is checked.
        /// </summary>
        bool IsChecked { get; set; }
    }
}