﻿namespace ImageNexus.BenScharbach.ICLCommon.DirectoryTreeInterfaces.Interfaces
{
    // 9/3/2011
    public interface IDirectoryCloudItem
    {
        // 9/3/2011
        /// <summary>
        /// Was this item deleted from cloud succesfully?
        /// </summary>
        /// <remarks>
        /// This is checked when the ObservableCollection is called to remove
        /// all checked items.  This guarantees that ONLY the items succesfully removed
        /// from the cloud are removed from the WPF view.
        /// </remarks>
        bool DeletedOnCloud { get; set; } 
    }
}