﻿using System.Windows.Forms;
using ImageCloudLock;
using Microsoft.Practices.Unity;

namespace ImageNexus.BenScharbach.ImageCloudLock.TestClasses
{
    public interface IShowMessageTestClass
    {
        StoreMessageTestClass StoreMessage { get; set; }
        void DisplayMessage();
    }

    public class ShowMessageTestClass : IShowMessageTestClass
    {
        [Dependency]
        public StoreMessageTestClass StoreMessage { get; set; }

        public void DisplayMessage()
        {
            MessageBox.Show(StoreMessage.Message);
        }
    }
}