﻿namespace ImageNexus.BenScharbach.ICLCommon.TreeViewInterface
{
    // 12/14/2010
    /// <summary>
    /// Interface used to Lock or Unlock UI elements.
    /// </summary>
    public interface ILockUnlockUI
    {
        /// <summary>
        /// Locks the UI during concurrent operation.
        /// </summary>
        void LockUI();

        /// <summary>
        /// UnLocks the UI during concurrent operation.
        /// </summary>
        void UnLockUI();
    }
}